This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 15103 - slang library absolutely wants to hang on tty
slang library absolutely wants to hang on tty
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: slang (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-02 06:22 EDT by matti aarnio
Modified: 2014-03-16 22:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-02 06:22:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matti aarnio 2000-08-02 06:22:49 EDT
When using Lynx at cron to do various automated data pulling tricks,
lattest slang library (we presume that is the problem) barfs that the
process has no controlling tty.

For example following:

TERM=dumb lynx -dump http://whereever/whatever

used to work -- at 5.2 very least, but 6.2 barfs nastily.

Why we DON'T use e.g. wget ?
Lynx supplies us with rendered version of the page so we don't need to
parse HTML tags ourselves, nor be that susceptible for changes at the HTML
source as long as the rendered result looks vaguely alike.
Comment 1 Bill Nottingham 2000-08-02 13:04:52 EDT
I can reproduce this on 6.2, but not on 6.1 or on the public beta. I'm going
to mark it as currently fixed; I'd suggest grabbing slang-1.4.1 (or possibly
the latest lynx) and rebuilding it on 6.2; it shouldn't cause a problem.

Note You need to log in before you can comment on or make changes to this bug.